<?php
class SmsKaleyra {
	private $APIKey = '';
	private $SID    = '';
	private $from   = '';
	private $to     = '';
	private $type     = '';
	private $unicode = '';
	
	public function __construct($APIKey) {
	    $this->APIKey = $APIKey;
	}
	
	public function setSID($SID) {
	    $this->sid = $SID;
	}
	
	public function setAPIKey($APIKey) {
	    $this->APIKey = $APIKey;
	}
	
	public function setFrom($from) {
	    $this->from = $from;
	}
	
	public function setTo($to) {
	    $this->to = $to;
	}
	
	public function setType($type) {
	    $this->type = $type;
	}
	
	public function setUnicode($unicode) {
	    $this->unicode = $unicode;
	}
	
	public static function getAPIUrl($method, $SID) {
	    $url = 'https://api.ap.kaleyra.io/v1/'.$SID.'/messages';	
	 
	    return $url;
	}
	
	public static function sendBulk($SID, $APIKey, $from, $to, $message, $callback = NULL, $type, $unicode) {
	    $sendsms = new SmsKaleyra($APIKey);
	    
		foreach ($to as $toNumber) {
		    $sendsms->sendSingle($SID, $APIKey, $from, $toNumber, $message, $callback, $type, $unicode);
		}
	}
	
	
	public static function sendSingle($SID, $APIKey, $from, $to, $message, $callback = NULL, $type, $unicode) {
		$postData = array(
			'sender' => $from,
			'to'     => $to,
			'body'   => $message,
		    'type'   => $type,
		    'unicode'=> $unicode,
		);
	
	//	$postString = http_build_query($postData);
		$sendsms = new SmsKaleyra($APIKey);
		$url = $sendsms->getAPIUrl('send', $SID);

		$ch = curl_init($url);
		
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_VERBOSE, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
		    "api-key:" . $sendsms->APIKey)
		    );
		
		$result = curl_exec($ch);
		curl_close($ch);
		
	
		$sendsms->writeLog("sms_result_log.txt", $postData);
		
		if (is_callable($callback)) {
			call_user_func($callback, json_decode($result, true));
		}
		
	   return 	$dataresult = json_decode($result, true); 
	}
	
	public static function sendSMS($arraysms) {	    
	    if (!empty($arraysms['api-key']) && !empty($arraysms['to']) && !empty($arraysms['body'])) {
	        $SID = $arraysms['SID'];
	        $APIKey = $arraysms['api-key'];
	        $from = $arraysms['sender'];;
	        $to = $arraysms['to'];
	        $message = $arraysms['body'];
	        $callback = !empty($arraysms['callback']) ? $arraysms['callback'] : NULL;
	        $type = $arraysms['type'];
	        $unicode = $arraysms['unicode'];
	       
	        $sendsms = new SmsKaleyra($APIKey);
	        
	        if (!is_array($to)) {
	            $dataresult =  $sendsms->sendSingle($SID, $APIKey, $from, $to, $message, $callback, $type, $unicode);
	        } else {
	            $dataresult =  $sendsms->sendBulk($SID, $APIKey, $from, $to, $message, $callback, $type, $unicode);
	        }
	        return $dataresult;
	        
	    }
	    
	}
	
	public function writeLog($filename,$message) {
	    
	    $this->handle = fopen(DIR_LOGS . $filename, 'a');
	    fwrite($this->handle, print_r($message, true) . "\n");
	    fclose($this->handle);
	}
	
}